<IfModule mod_ssl.c>
        <VirtualHost _default_:443>
                DocumentRoot /var/www/html
                ServerName solastream.com
                Header always set Strict-Transport-Security "max-age=63072000; includeSubdomains;"
                Header set X-Content-Type-Options nosniff
                Header always append X-Frame-Options SAMEORIGIN
                Header set X-XSS-Protection "1; mode=block"
                Header edit Set-Cookie ^(.*)$ $1;HttpOnly;Secure
                SSLEngine on
                SSLCipherSuite ECDHE-ECDSA-AES256-GCM-SHA384:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-ECDSA-CHACHA20-POLY1305:ECDHE-RSA-CHACHA20-POLY1305:ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES128-GCM-SHA256:ECDHE-ECDSA-AES256-SHA384:ECDHE-RSA-AES256-SHA384:ECDHE-ECDSA-AES128-SHA256:ECDHE-RSA-AES128-SHA256
                SSLCertificateFile SERVERCERT
                SSLCertificateKeyFile SERVERKEY
                SSLCertificateChainFile SERVERCHAIN
        </VirtualHost>
</IfModule>


